- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts/updateNotifications#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/updateNotifications#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts/updateNotifications#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts/updateNotifications#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts/updateNotifications#body.aspect)

> [!WARNING]
> Deprecated. Please use the [Notifications API](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/updateNotificationSetting) instead.

Sets the pubsub notification settings for the account informing Business Profile which topic to send pubsub notifications for:

- New reviews for locations administered by the account.
- Updated reviews for locations administered by the account.
- New `GoogleUpdates` for locations administered by the account.

An account will only have one notification settings resource, and only one pubsub topic can be set.

### HTTP request

`PUT https://mybusiness.googleapis.com/v4/{name=accounts/*/notifications}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The notification settings resource name. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/Notifications`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/Notifications`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).